package org.example;

import org.zeromq.SocketType;
import org.zeromq.ZContext;
import org.zeromq.ZMQ;

import java.sql.SQLOutput;
import java.util.Base64;

public class Main {
    public static void main(String[] args) {
        try (ZContext context = new ZContext()) {
            ZMQ.Socket socket = context.createSocket(SocketType.REP);
            socket.bind("tcp://*:5555");

            String reply = socket.recvStr();
            System.out.println(reply);

            String response = "world";
            socket.send(response.getBytes(ZMQ.CHARSET), 0);
        }
    }

}
