package org.example;

import org.zeromq.SocketType;
import org.zeromq.ZContext;
import org.zeromq.ZMQ;

import java.util.Base64;

public class Main2 {
    public static void main(String[] args) {

        try (ZContext context = new ZContext()) {
            ZMQ.Socket socket = context.createSocket(SocketType.REQ);
            socket.connect("tcp://localhost:5555");

            String request = "Hello";
            socket.send(request.getBytes(ZMQ.CHARSET), 0);

            String reply = socket.recvStr();
            System.out.println(reply);
        }
    }

}
