package org.example;

import org.zeromq.SocketType;
import org.zeromq.ZContext;
import org.zeromq.ZMQ;

public class Pub {
    public static void main(String[] args) {

        try (ZContext context = new ZContext()) {
            ZMQ.Socket pub = context.createSocket(SocketType.PUB);
            pub.bind("tcp://*:5555");
            Thread.sleep(10000); // Allow time for socket to bind

            // Wait until something happens.
            pub.send("Hello");
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

}
